z/OS Tools & Language

Expand all | Collapse all

Error in installing PIP

  • 1.  Error in installing PIP

    Posted 09-27-2018 09:40

    Hi,

    I am getting the following error while trying to upgrade PIP on Unix on z/os. Our admin is saying that I have the authority to bin folder.

    Thanks in advance for any help.

    $ python -m pip install --upgrade pip
    Collecting pip
    Using cached https://files.pythonhosted.org/packages/5f/25/e52d3f31441505a5f3af41213346e5b6c221c9e086a166f3703d2ddaf940/pip-18.0-py2.py3-none-any.whl
    pip utils init unpack_filename: unpacked: /SYSTEM/tmp/pip-mdslhlp5-unpack/pip-18.0-py2.py3-none-any.whl
    Installing collected packages: pip
    Found existing installation: pip 9.0.1
    Uninstalling pip-9.0.1:
    Exception:
    Traceback (most recent call last):
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/shutil.py”, line 551, in move
    os.rename(src, real_dst)
    OSError: [Errno 144] EDC5144I Improper link.: ‘/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip-9.0.1.dist-info/DESCRIPTION.rst’ -> ‘/tmp/pip-fxzllj_9-uninstall/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip-9.0.1.dist-info/DESCRIPTION.rst’

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip/basecommand.py”, line 215, in main
    status = self.run(options, args)
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip/commands/install.py”, line 342, in run
    prefix=options.prefix_path,
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip/req/req_set.py”, line 778, in install
    requirement.uninstall(auto_confirm=True)
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip/req/req_install.py”, line 754, in uninstall
    paths_to_remove.remove(auto_confirm)
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip/req/req_uninstall.py”, line 115, in remove
    renames(path, new_path)
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip/utils/init.py”, line 267, in renames
    shutil.move(old, new)
    File “/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/shutil.py”, line 566, in move
    os.unlink(src)
    PermissionError: [Errno 111] EDC5111I Permission denied.: ‘/usr/lpp/python/python-2017-04-12-py36/python36/lib/python3.6/site-packages/pip-9.0.1.dist-info/DESCRIPTION.rst’
    You are using pip version 9.0.1, however version 18.0 is available.
    You should consider upgrading via the ‘pip install --upgrade pip’ command.
    $



  • 2.  RE: Error in installing PIP

    Posted 09-28-2018 09:11

    You can check whether or not you have write access to the Python install directories by using:

    ls -al /usr/lpp/python/python-2017-04-12-py36/python36
    

    This will tell you the owning userid and group. You can check the groups you are in using:

    id
    

    I don’t know the entire set of directories that will need to be modified to install pip, but certainly at least the bin and lib/python3.6/site-packages/pip directories.